Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80568 - 'mysql' user does not exist.
Summary: 'mysql' user does not exist.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-28 02:29 UTC by Crutcher Dunnavant
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-12 17:43:15 UTC


Attachments (Terms of Use)

Description Crutcher Dunnavant 2002-12-28 02:29:55 UTC
Description of problem:
The mysql daemon gets run as the 'mysql' user, which is not created by the
package at install time.

Version-Release number of selected component (if applicable):
3.23.53-3

Comment 1 Patrick Macdonald 2003-03-12 17:43:15 UTC
Hi Crutcher,

Are you sure you installed the mysql-server package.  The mysql user
is created when that package is installed.

This is the output from a clean RHL 8.0 installation:

[root@toll root]# su mysql
su: user mysql does not exist
[root@toll root]# rpm -qa | grep mysql
[root@toll root]# rpm -i /tmp/mysql-3.23.52-3.i386.rpm
/tmp/mysql-server-3.23.52-3.i386.rpm /tmp/perl-DBD-MySQL-2.1017-3.i386.rpm
[root@toll root]# su mysql
bash-2.05b$ whoami
mysql

The service mysqld start works fine as well.




Note You need to log in before you can comment on or make changes to this bug.